Bug 858679 - Clicking in DATE & TIME randomly selects wrong timezone.
Clicking in DATE & TIME randomly selects wrong timezone.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 08:08 EDT by Stef Walter
Modified: 2014-02-05 07:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:13:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-09-19 08:08:26 EDT
Description of problem:

I selected the Europe/Berlin in the TIME & DATE panel of anaconda with the mouse. I can click nearby several times around the area of Europe in that timezone and eventually the +12 timezone (dateline, opposite side of the world) is selected. 

I would expect the selection not to jump away to the other side of the world.

Version-Release number of selected component (if applicable):

Fedora 18-Alpha boot.iso

How reproducible:

After clicking about 10 - 15 times, I can reproduce this.
Comment 1 Vratislav Podzimek 2012-09-20 06:53:18 EDT
(In reply to comment #0)
> Description of problem:
> 
> I selected the Europe/Berlin in the TIME & DATE panel of anaconda with the
> mouse. I can click nearby several times around the area of Europe in that
> timezone and eventually the +12 timezone (dateline, opposite side of the
> world) is selected. 
> 
> I would expect the selection not to jump away to the other side of the world.
> 
> Version-Release number of selected component (if applicable):
> 
> Fedora 18-Alpha boot.iso
> 
> How reproducible:
> 
> After clicking about 10 - 15 times, I can reproduce this.
Were you using VM for this? Because there may be some issue with the mouse driver causing this behaviour. There is nothing in the map's code, that could cause it.
Comment 2 Stef Walter 2012-09-21 04:55:42 EDT
Yes this was in a VM. But it seemed like the mouse was working for other clicks elsewhere.

Although, are you sure there's no problems in the map's code? Are you using the same code as gnome-control-center? See:

https://bugzilla.gnome.org/show_bug.cgi?id=684372
Comment 3 Vratislav Podzimek 2012-09-21 06:06:21 EDT
(In reply to comment #2)
> Yes this was in a VM. But it seemed like the mouse was working for other
> clicks elsewhere.
Have you tried to click 15-times in one place somewhere else where it would be possible to see the evidence of the same behaviour?

> 
> Although, are you sure there's no problems in the map's code? Are you using
> the same code as gnome-control-center? See:
> 
> https://bugzilla.gnome.org/show_bug.cgi?id=684372
Thanks for the link. Yes, we are using the same code as g-c-c, but I didn't say there are no problems in the map's code. I've just said there seems to be nothing that could cause this particular issue.
Comment 4 Steve Tyler 2012-09-21 14:33:33 EDT
I cannot reproduce the drifting time zone selection in a VM on an F17 host:

$ qemu-kvm -m 1024 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Alpha/RC3/Fedora-18-Alpha-x86_64-netinst.iso -vga qxl -boot menu=on

$ rpm -q qemu-kvm
qemu-kvm-1.0.1-1.fc17.x86_64

$ grep Fedora-18-Alpha-x86_64-netinst.iso Fedora-18-Alpha-x86_64-CHECKSUM
fee767811cf561cc6b7a849c91edf961e941b54cee126578f00d4e6952a44ba7 *Fedora-18-Alpha-x86_64-netinst.iso
Comment 5 Steve Tyler 2012-09-22 18:18:42 EDT
The drifting pointer problem can be reproduced in an F17 gnome desktop system running in a VM. Each time the left mouse button is clicked, the pointer moves one pixel to the right.

A work-around seems to be to set "-usbdevice mouse":

$ qemu-kvm -m 1024 -hda f17-test-1.img -usbdevice mouse

Guest:
xorg-x11-drv-vmmouse-12.8.0-1.fc17.x86_64

Host:
qemu-kvm-1.0.1-1.fc17.x86_64

According to /tmp/X.log, the F18-Alpha-RC3 installer has vmmouse module version 12.9.0. That could explain why I do not see this problem in the F18 installer.

This bug seems to be similar:
Bug 837462 - Mouse drift when pressing button or clicking mouse.
Comment 6 Stef Walter 2012-09-24 04:09:25 EDT
(In reply to comment #5)
> The drifting pointer problem can be reproduced in an F17 gnome desktop
> system running in a VM. Each time the left mouse button is clicked, the
> pointer moves one pixel to the right.

That's not the behavior I see here. The mouse pointer stays put, but the wrong timezone is selected.
Comment 7 Steve Tyler 2012-09-24 12:02:49 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > The drifting pointer problem can be reproduced in an F17 gnome desktop
> > system running in a VM. Each time the left mouse button is clicked, the
> > pointer moves one pixel to the right.
> 
> That's not the behavior I see here. The mouse pointer stays put, but the
> wrong timezone is selected.

OK. Could you post how you are invoking your VM (and its version) and attach
/var/log/anaconda/anaconda.xlog from the installed system? If this is an X problem, the X developers will need to see the latter.
Comment 8 Fedora End Of Life 2013-12-21 03:53:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 07:13:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.